function setSeoTitle(title) {
    document.title = '港校租房-' + title
}

// 跳转 url
function redirectToExternalWebsite(url) {
    const link = document.createElement('a');
    link.href = url;
    link.target = '_blank';
    link.click();
}

// 跳转登录
function goTologin() {
    let url = encodeURIComponent(location.href);
    redirectToExternalWebsite(`https://passport.gter.net/?referer=${url}`);
}

// 复制方法
function copyToClipboard(text) {

    return new Promise((resolve, reject) => {
        const textareaEle = document.createElement("textarea");
        document.body.appendChild(textareaEle);
        // 2. 将需要复制的文本传入输入框, 并调用 select 方法, 选中输入框中文本
        textareaEle.value = text;
        textareaEle.select();
        textareaEle.readOnly = 'readOnly';
        // 3. 调用复制选中文本的方法
        document.execCommand('copy');
        // 4. 销毁输入框
        document.body.removeChild(textareaEle);
        resolve()
        // navigator.clipboard.writeText(text).then(() => {
        //     resolve()
        // }).catch((err) => {
        //     reject()
        // });
    });
}



module.exports = {
    setSeoTitle,
    redirectToExternalWebsite,
    goTologin,
    copyToClipboard,
}